<?php
class Member_subscription_report_model extends CI_Model {
    
    function __construct() {
        parent::__construct();
        $this->services = TBL_SERVICE;
        $this->member_subscripe = TBL_BILL_MEMBER_SUBSCRIPE;
    }
    
    public function list_service_type(){
        $this->db->select('id,name as service_name');
        $this->db->where('menu_name',11);
        $this->db->where('status',1);
        return $this->db->get($this->services)->result();
    }
    
    public function get_data($start_date='',$end_date='',$type=''){
        $this->db->select('s.name as service_name, s.prefix, ms.*',FALSE);
        $this->db->join($this->services . ' as s','s.id = ms.service_id');
        if(!empty($start_date) && !empty($end_date)) {
            $this->db->where('ms.created_on >=',date('Y-m-d 00:00:00',strtotime($start_date)));
            $this->db->where('ms.created_on <=',date('Y-m-d 23:59:59',strtotime($end_date)));
        } else {
            $this->db->where('ms.created_on >=',date('Y-m-d 00:00:00'));
            $this->db->where('ms.created_on <=',date('Y-m-d 23:59:59'));
        } 
        if(!empty($type)) {
            $this->db->where('ms.service_id',$type);
        }
        #$this->db->where('ms.status',1);
        return $this->db->get($this->member_subscripe . ' as ms')->result();
    }
}
?>


